2 phrase as a question
source | link

How do I upgrade PHP on CentOS 6.7 for CiviCRM 4.7 WP and CentOS 6 PHP repo/ WordPress?

Is there any kind of "official" repo for upgrading PHP beyond the stock PHP 5.3.3 found in CentOS 6.7? I'm

I'm trying to utilize the SCL repo's, but finding all sorts of peculiarities that seem to point back to this dual PHP install method.

When using the SCL repo's, you have multiple versions of PHP installed. The base package, PHP 5.3.3 in this case, sits in all of the usual RH locations such as /usr/bin/php. The SCL version, let's pick on 5.4 for now, get installed as php54-php and sits in /opt/rh/php54/. Then you tell Apache which one to run via what php config is active in /etc/http/config.d/. However, when running php-cli, you have to declare the php54 version with either a source command for a shell, or a scl enable command for things like cron or sudo jobs. If you don't, it defaults to the the 5.3.3 install.

Peculiarities are things like trying to get the cron job to fire correctly. Using WP-CLI, because cURL/wget/PHP calls are returning invalid username/password error, looks like it runs the jobs but doesn't seem to be doing things like smartgroup rebuilds. Running the cron jobs manually from the Settings page works fine.

CiviCRM 4.7 WP and CentOS 6 PHP repo

Is there any kind of "official" repo for upgrading PHP beyond the stock PHP 5.3.3 found in CentOS 6.7? I'm trying to utilize the SCL repo's, but finding all sorts of peculiarities that seem to point back to this dual PHP install method.

How do I upgrade PHP on CentOS 6.7 for CiviCRM 4.7 / WordPress?

Is there any kind of "official" repo for upgrading PHP beyond the stock PHP 5.3.3 found in CentOS 6.7?

I'm trying to utilize the SCL repo's, but finding all sorts of peculiarities that seem to point back to this dual PHP install method.

When using the SCL repo's, you have multiple versions of PHP installed. The base package, PHP 5.3.3 in this case, sits in all of the usual RH locations such as /usr/bin/php. The SCL version, let's pick on 5.4 for now, get installed as php54-php and sits in /opt/rh/php54/. Then you tell Apache which one to run via what php config is active in /etc/http/config.d/. However, when running php-cli, you have to declare the php54 version with either a source command for a shell, or a scl enable command for things like cron or sudo jobs. If you don't, it defaults to the the 5.3.3 install.

Peculiarities are things like trying to get the cron job to fire correctly. Using WP-CLI, because cURL/wget/PHP calls are returning invalid username/password error, looks like it runs the jobs but doesn't seem to be doing things like smartgroup rebuilds. Running the cron jobs manually from the Settings page works fine.

    Post Migrated Here from civicrm.stackexchange.com
1
source | link

CiviCRM 4.7 WP and CentOS 6 PHP repo

Is there any kind of "official" repo for upgrading PHP beyond the stock PHP 5.3.3 found in CentOS 6.7? I'm trying to utilize the SCL repo's, but finding all sorts of peculiarities that seem to point back to this dual PHP install method.